# The definition of SSL_INCLUDE is for V1R4 neccesary, because newest xsupplicant makefiles are normally used together with newest common.mk
export SSL_INCLUDE=/vobs/Opera_Platform_Linux/Linux_BSP/ifx-com-linux/source/user/opensource/openssl-0.9.7e/include

PREBUILT=./PreBuilt

if [ -d ${PREBUILT} ]
then
  cd ${PREBUILT}
#  cleartool co -nc xsupplicant*tgz
  cd ..

  # x86 ##############################################################################

  echo "Cleanup for DEBUG=NO OPERA_TARGET=x86 OPTIMIZE=NO"
  clearmake -C gnu DEBUG=NO OPERA_TARGET=x86 OPERA_NIGHTLY=YES OPTIMIZE=NO clean

  echo "Build for DEBUG=NO OPERA_TARGET=x86 OPTIMIZE=NO"
  clearmake -C gnu DEBUG=NO OPERA_TARGET=x86 OPERA_NIGHTLY=YES OPTIMIZE=NO

  echo "Deploy for DEBUG=NO OPERA_TARGET=x86 OPTIMIZE=NO"
  clearmake -C gnu DEBUG=NO OPERA_TARGET=x86 OPERA_NIGHTLY=YES OPTIMIZE=NO deploy

  # x86 ##############################################################################

  echo "Cleanup for DEBUG=NO OPERA_TARGET=x86 OPTIMIZE=YES"
  clearmake -C gnu DEBUG=NO OPERA_TARGET=x86 OPERA_NIGHTLY=YES OPTIMIZE=YES clean

  echo "Build for DEBUG=NO OPERA_TARGET=x86 OPTIMIZE=YES"
  clearmake -C gnu DEBUG=NO OPERA_TARGET=x86 OPERA_NIGHTLY=YES OPTIMIZE=YES

  echo "Deploy for DEBUG=NO OPERA_TARGET=x86 OPTIMIZE=YES"
  clearmake -C gnu DEBUG=NO OPERA_TARGET=x86 OPERA_NIGHTLY=YES OPTIMIZE=YES deploy

  # x86 ##############################################################################

  echo "Cleanup for DEBUG=YES OPERA_TARGET=x86 OPTIMIZE=NO"
  clearmake -C gnu DEBUG=YES OPERA_TARGET=x86 OPERA_NIGHTLY=YES OPTIMIZE=NO clean

  echo "Build for DEBUG=YES OPERA_TARGET=x86 OPTIMIZE=NO"
  clearmake -C gnu DEBUG=YES OPERA_TARGET=x86 OPERA_NIGHTLY=YES OPTIMIZE=NO

  echo "Deploy for DEBUG=YES OPERA_TARGET=x86 OPTIMIZE=NO"
  clearmake -C gnu DEBUG=YES OPERA_TARGET=x86 OPERA_NIGHTLY=YES OPTIMIZE=NO deploy

  # mips ##############################################################################

  echo "Cleanup for DEBUG=NO OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPTIMIZE=NO"
  clearmake -C gnu DEBUG=NO OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPERA_NIGHTLY=YES OPTIMIZE=NO clean

  echo "Build for DEBUG=NO OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPTIMIZE=NO"
  clearmake -C gnu DEBUG=NO OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPERA_NIGHTLY=YES OPTIMIZE=NO

  echo "Deploy for DEBUG=NO OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPTIMIZE=NO"
  clearmake -C gnu DEBUG=NO OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPERA_NIGHTLY=YES OPTIMIZE=NO deploy

  # mips ##############################################################################

  echo "Cleanup for DEBUG=NO OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPTIMIZE=YES"
  clearmake -C gnu DEBUG=NO OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPERA_NIGHTLY=YES OPTIMIZE=YES clean

  echo "Build for DEBUG=NO OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPTIMIZE=YES"
  clearmake -C gnu DEBUG=NO OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPERA_NIGHTLY=YES OPTIMIZE=YES

  echo "Deploy for DEBUG=NO OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPTIMIZE=YES"
  clearmake -C gnu DEBUG=NO OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPERA_NIGHTLY=YES OPTIMIZE=YES deploy

  # mips ##############################################################################

  echo "Cleanup for DEBUG=YES OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPTIMIZE=NO"
  clearmake -C gnu DEBUG=YES OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPERA_NIGHTLY=YES OPTIMIZE=NO clean

  echo "Build for DEBUG=YES OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPTIMIZE=NO"
  clearmake -C gnu DEBUG=YES OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPERA_NIGHTLY=YES OPTIMIZE=NO

  echo "Deploy for DEBUG=YES OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPTIMIZE=NO"
  clearmake -C gnu DEBUG=YES OPERA_TARGET=mips OPERA_WORKPOINT=WP_LO OPERA_NIGHTLY=YES OPTIMIZE=NO deploy

else
  echo "You aren't in the right directory, "
  echo "current: " `pwd`
  echo "use:      /vobs/Opera_3rdParty/xsupplicant"
fi
